Bug 520109 - LVM + RAID + LUKS fails to boot using dracut every other time
Summary: LVM + RAID + LUKS fails to boot using dracut every other time
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dracut
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-28 12:48 UTC by James Laska
Modified: 2018-04-11 07:53 UTC (History)
7 users (show)

Fixed In Version: 004-4.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-28 00:53:20 UTC


Attachments (Terms of Use)
output of dmesg (47.12 KB, text/plain)
2009-09-07 05:08 UTC, Matěj Cepl
no flags Details

Description James Laska 2009-08-28 12:48:43 UTC
Description of problem:

For the dracut test day

Version-Release number of selected component (if applicable):

 * rawhide-20090828

How reproducible:

 * Boot works about half the time

Steps to Reproduce:
 * https://fedoraproject.org/wiki/QA:Testcase_anaconda_encrypted_lvm_on_raid
  
Actual results:

 * Sometimes it fails to boot ... http://pastie.org/597593

Expected results:

 * Sometimes it boots fine ... http://pastie.org/597617

Additional info:

 * In accordance with https://fedoraproject.org/wiki/How_to_debug_Dracut_problems, I have enabled debuggin in dracut.

dracut: dracut-0.9-6.fc12
dracut: Setting theme text
dracut: Setting theme text
dracut: Starting plymouth daemon
dracut: Starting plymouth daemon
dracut: Scanning devices dm-0  for LVM volume groups 
dracut: Scanning devices dm-0  for LVM volume groups 
dracut: Couldn't find device with uuid 'GbumsZ-WvKE-XGQL-cim7-arn2-PYbN-nGbnb1'.
dracut: Couldn't find device with uuid 'GbumsZ-WvKE-XGQL-cim7-arn2-PYbN-nGbnb1'.
dracut: Reading all physical volumes. This may take a while...
dracut: Found volume group "vg_test1160" using metadata type lvm2
dracut: Reading all physical volumes. This may take a while...
dracut: Found volume group "vg_test1160" using metadata type lvm2
dracut: Couldn't find device with uuid 'GbumsZ-WvKE-XGQL-cim7-arn2-PYbN-nGbnb1'.
dracut: Couldn't find device with uuid 'GbumsZ-WvKE-XGQL-cim7-arn2-PYbN-nGbnb1'.
dracut: Couldn't find device with uuid 'GbumsZ-WvKE-XGQL-cim7-arn2-PYbN-nGbnb1'.
dracut: Couldn't find device with uuid 'GbumsZ-WvKE-XGQL-cim7-arn2-PYbN-nGbnb1'.
dracut: Refusing activation of partial LV rootfs. Use --partial to override.
dracut: Refusing activation of partial LV rootfs. Use --partial to override.
dracut: Couldn't find device with uuid 'GbumsZ-WvKE-XGQL-cim7-arn2-PYbN-nGbnb1'.
dracut: Refusing activation of partial LV swap. Use --partial to override.
dracut: Couldn't find device with uuid 'GbumsZ-WvKE-XGQL-cim7-arn2-PYbN-nGbnb1'.
dracut: Refusing activation of partial LV swap. Use --partial to override.
dracut: 0 logical volume(s) in volume group "vg_test1160" now active
dracut: 0 logical volume(s) in volume group "vg_test1160" now active
dracut: Assembling MD RAID arrays
dracut: Assembling MD RAID arrays
dracut: Starting MD RAID array /dev/md127
dracut: Starting MD RAID array /dev/md127
dracut: mdadm: failed to run array /dev/md127: Invalid argument
dracut: mdadm: failed to run array /dev/md127: Invalid argument
dracut: mdadm: no recognisable superblock on /dev/md127.
dracut: mdadm: no recognisable superblock on /dev/md127.

Comment 1 James Laska 2009-08-31 11:25:51 UTC
Asked to retest using http://koji.fedoraproject.org/koji/taskinfo?taskID=1645222

Comment 2 Matěj Cepl 2009-09-07 05:08:25 UTC
Created attachment 359943 [details]
output of dmesg

Me too. Information according to https://fedoraproject.org/wiki/How_to_debug_Dracut_problems#AllInfo (all information provided from rdshell without debug module loadaded -- I didn't know that I will debug dracut before boot failed ;)):

* /proc/cmdline
ro root=LABEL=root i915.powersave=0 rdshell

* no /etc/fstab

* dmsetup ls --tree
vg_bradford-lv_minix (253:6)
 `- (8:2)
vg_bradford-lv_root (253:1)
 `- (8:2)
luks-4fc6bff3-8bc5-41b8-97b3-82631d58665a (253:9)
 `-vg_bradford-lv_home (253:0)
    `- (8:2)
vg_bradford-lv_fedoraOld (253:5)
 `- (8:2)
vg_bradford-lv_nahan (253:4)
 `- (8:2)
vg_bradford-lv_rawhide64 (253:7)
 `- (8:2)
luks-d15565c9-ddc1-473c-8ce4-cdb49c57ff82 (253:10)
 `-vg_bradford-lv_swap (253:2)
    `- (8:2)
vg_bradford-lv_rawhide (253:8)
 `- (8:2)
vg_bradford-lv_tikanga (253:3)
 `- (8:2)

* blkid
/dev/sda1: LABEL="boot" UUID="9b556a4f-ccdd-4437-8f5b-e27f6ba86011" SEC_TYPE="ext2" TYPE="ext3" 
/dev/sda2: UUID="yvJvUi-JSrI-axUF-Bh5l-RK9F-Ll0u-adPPjT" TYPE="LVM2_member" 
/dev/mapper/vg_bradford-lv_home: UUID="4fc6bff3-8bc5-41b8-97b3-82631d58665a" TYPE="crypto_LUKS" 
/dev/mapper/vg_bradford-lv_root: LABEL="root" UUID="4ca3573f-6741-4f6d-bb53-66b3baef2407" TYPE="ext4" 
/dev/mapper/vg_bradford-lv_swap: UUID="d15565c9-ddc1-473c-8ce4-cdb49c57ff82" TYPE="crypto_LUKS" 
/dev/mapper/luks-4fc6bff3-8bc5-41b8-97b3-82631d58665a: UUID="ace27985-bead-409c-9165-86881ba7a101" TYPE="ext4" 
/dev/mapper/luks-d15565c9-ddc1-473c-8ce4-cdb49c57ff82: UUID="3c186d5f-3963-4808-b866-0838399b6033" TYPE="swap" 
/dev/sdb1: LABEL="LIVE" UUID="0DC9-C1FD" TYPE="vfat" 

* blkid -o udev
ID_FS_LABEL=boot
ID_FS_LABEL_ENC=boot
ID_FS_UUID=9b556a4f-ccdd-4437-8f5b-e27f6ba86011
ID_FS_UUID_ENC=9b556a4f-ccdd-4437-8f5b-e27f6ba86011
ID_FS_SEC_TYPE=ext2
ID_FS_TYPE=ext3
ID_FS_UUID=yvJvUi-JSrI-axUF-Bh5l-RK9F-Ll0u-adPPjT
ID_FS_UUID_ENC=yvJvUi-JSrI-axUF-Bh5l-RK9F-Ll0u-adPPjT
ID_FS_TYPE=LVM2_member
ID_FS_UUID=4fc6bff3-8bc5-41b8-97b3-82631d58665a
ID_FS_UUID_ENC=4fc6bff3-8bc5-41b8-97b3-82631d58665a
ID_FS_TYPE=crypto_LUKS
ID_FS_LABEL=root
ID_FS_LABEL_ENC=root
ID_FS_UUID=4ca3573f-6741-4f6d-bb53-66b3baef2407
ID_FS_UUID_ENC=4ca3573f-6741-4f6d-bb53-66b3baef2407
ID_FS_TYPE=ext4
ID_FS_UUID=d15565c9-ddc1-473c-8ce4-cdb49c57ff82
ID_FS_UUID_ENC=d15565c9-ddc1-473c-8ce4-cdb49c57ff82
ID_FS_TYPE=crypto_LUKS
ID_FS_UUID=ace27985-bead-409c-9165-86881ba7a101
ID_FS_UUID_ENC=ace27985-bead-409c-9165-86881ba7a101
ID_FS_TYPE=ext4
ID_FS_UUID=3c186d5f-3963-4808-b866-0838399b6033
ID_FS_UUID_ENC=3c186d5f-3963-4808-b866-0838399b6033
ID_FS_TYPE=swap
ID_FS_LABEL=LIVE
ID_FS_LABEL_ENC=LIVE
ID_FS_UUID=0DC9-C1FD
ID_FS_UUID_ENC=0DC9-C1FD
ID_FS_TYPE=vfat

* no /etc/dracut.conf and dmesg attached.

* pvdisplay
  --- Physical volume ---
  PV Name               /dev/sda2
  VG Name               vg_bradford
  PV Size               148.85 GB / not usable 1.31 MB
  Allocatable           yes (but full)
  PE Size (KByte)       4096
  Total PE              38106
  Free PE               0
  Allocated PE          38106
  PV UUID               yvJvUi-JSrI-axUF-Bh5l-RK9F-Ll0u-adPPjT

* vgdisplay
  --- Volume group ---
  VG Name               vg_bradford
  System ID             
  Format                lvm2
  Metadata Areas        1
  Metadata Sequence No  30
  VG Access             read/write
  VG Status             resizable
  MAX LV                0
  Cur LV                9
  Open LV               2
  Max PV                0
  Cur PV                1
  Act PV                1
  VG Size               148.85 GB
  PE Size               4.00 MB
  Total PE              38106
  Alloc PE / Size       38106 / 148.85 GB
  Free  PE / Size       0 / 0   
  VG UUID               G4JpX1-Dmn3-wPnJ-ECdW-OmEK-H2Rq-oPzNkV

* lvdisplay
  --- Logical volume ---
  LV Name                /dev/vg_bradford/lv_home
  VG Name                vg_bradford
  LV UUID                Vqafrk-B2QU-9fbc-c1qI-aORt-n82k-GJcJ9L
  LV Write Access        read/write
  LV Status              available
  # open                 1
  LV Size                97.66 GB
  Current LE             25000
  Segments               1
  Allocation             inherit
  Read ahead sectors     auto
  - currently set to     256
  Block device           253:0
   
  --- Logical volume ---
  LV Name                /dev/vg_bradford/lv_root
  VG Name                vg_bradford
  LV UUID                74QdQp-xmW3-2epy-oFM5-S07n-7MRo-mZbCCZ
  LV Write Access        read/write
  LV Status              available
  # open                 0
  LV Size                14.53 GB
  Current LE             3720
  Segments               1
  Allocation             inherit
  Read ahead sectors     auto
  - currently set to     256
  Block device           253:1
   
  --- Logical volume ---
  LV Name                /dev/vg_bradford/lv_swap
  VG Name                vg_bradford
  LV UUID                23nCXk-2egJ-m8ul-7Z2x-C9xI-sdB9-x0DG89
  LV Write Access        read/write
  LV Status              available
  # open                 1
  LV Size                3.81 GB
  Current LE             976
  Segments               1
  Allocation             inherit
  Read ahead sectors     auto
  - currently set to     256
  Block device           253:2
   
  --- Logical volume ---
  LV Name                /dev/vg_bradford/lv_tikanga
  VG Name                vg_bradford
  LV UUID                g4ouCH-5Aq5-20Ak-ji5C-XeaH-AMFJ-VEK0gX
  LV Write Access        read/write
  LV Status              available
  # open                 0
  LV Size                4.87 GB
  Current LE             1246
  Segments               1
  Allocation             inherit
  Read ahead sectors     auto
  - currently set to     256
  Block device           253:3
   
  --- Logical volume ---
  LV Name                /dev/vg_bradford/lv_nahan
  VG Name                vg_bradford
  LV UUID                8tVUK3-zo8W-tASW-RmJh-MGl1-u61l-CxfXqI
  LV Write Access        read/write
  LV Status              available
  # open                 0
  LV Size                5.00 GB
  Current LE             1280
  Segments               1
  Allocation             inherit
  Read ahead sectors     auto
  - currently set to     256
  Block device           253:4
   
  --- Logical volume ---
  LV Name                /dev/vg_bradford/lv_fedoraOld
  VG Name                vg_bradford
  LV UUID                XYFGcG-sqOg-FNea-af26-VrVX-cs8j-bnVH0s
  LV Write Access        read/write
  LV Status              available
  # open                 0
  LV Size                5.00 GB
  Current LE             1280
  Segments               1
  Allocation             inherit
  Read ahead sectors     auto
  - currently set to     256
  Block device           253:5
   
  --- Logical volume ---
  LV Name                /dev/vg_bradford/lv_minix
  VG Name                vg_bradford
  LV UUID                u2Iaoq-DQjX-kXGk-NcJB-ok1J-DSDw-IwMQxG
  LV Write Access        read/write
  LV Status              available
  # open                 0
  LV Size                2.00 GB
  Current LE             512
  Segments               1
  Allocation             inherit
  Read ahead sectors     auto
  - currently set to     256
  Block device           253:6
   
  --- Logical volume ---
  LV Name                /dev/vg_bradford/lv_rawhide64
  VG Name                vg_bradford
  LV UUID                A21fte-zmVb-utZw-nfR0-45Zc-xoFg-blNCup
  LV Write Access        read/write
  LV Status              available
  # open                 0
  LV Size                8.98 GB
  Current LE             2300
  Segments               2
  Allocation             inherit
  Read ahead sectors     auto
  - currently set to     256
  Block device           253:7
   
  --- Logical volume ---
  LV Name                /dev/vg_bradford/lv_rawhide
  VG Name                vg_bradford
  LV UUID                04GmX2-Ua38-PHBk-20XC-LFVd-zrkq-e7IbO8
  LV Write Access        read/write
  LV Status              available
  # open                 0
  LV Size                7.00 GB
  Current LE             1792
  Segments               1
  Allocation             inherit
  Read ahead sectors     auto
  - currently set to     256
  Block device           253:8

Comment 3 Matěj Cepl 2009-09-07 05:52:53 UTC
... and needless to say that I have even dracut-001-2.fc12

Comment 4 Harald Hoyer 2009-09-07 09:39:35 UTC
I think I found the bug.

can you change /usr/share/dracut/modules.d/95udev-rules/install

--- a/modules.d/95udev-rules/install
+++ b/modules.d/95udev-rules/install
@@ -23,7 +23,7 @@ if [ ! -x /lib/udev/vol_id ]; then
 else
     inst_rules "$moddir/59-persistent-storage-volid.rules"
 fi
-inst_rules "$moddir/61-persistent-storage-volid.rules"
+inst_rules "$moddir/61-persistent-storage.rules"
     
 for i in \
 ata_id \




and recreate the initrd with dracut?

Comment 5 Harald Hoyer 2009-09-07 09:51:16 UTC
Also fixed with http://koji.fedoraproject.org/koji/buildinfo?buildID=130849

Comment 6 Matěj Cepl 2009-09-07 15:27:46 UTC
yes it is (but I am not a reporter)

Comment 8 Harald Hoyer 2009-09-15 14:08:40 UTC
still present?

Comment 9 Harald Hoyer 2009-09-15 14:25:39 UTC
For the advanced user, here is a scratch version to test:

# rpm -e '*dracut*' --nodeps
# rpm -ivh 'http://koji.fedoraproject.org/koji/getfile?taskID=1680533&name=dracut-001-10.git4d924752.fc12.noarch.rpm'

Comment 10 Harald Hoyer 2009-09-17 11:08:44 UTC
Please test dracut-001-12.git0f7e10ce.fc12.
Either wait for it to appear in rawhide or do:
# yum install koji
# cd $(mktemp -d)
# koji download-build 132403
# rpm -Fvh *.rpm

and recreate the image with

# dracut /boot/<image> <kernel version>

Note: in recent installs the <image> is named initramfs-<kernel version>.img

Comment 11 Bug Zapper 2009-11-16 11:48:27 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 12 Fedora Update System 2010-01-26 10:48:26 UTC
dracut-004-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/dracut-004-4.fc12

Comment 13 Fedora Update System 2010-01-27 01:05:48 UTC
dracut-004-4.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dracut'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-1088

Comment 14 Fedora Update System 2010-01-28 00:51:06 UTC
dracut-004-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.